Freeciv-3.1: action Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
action Struct Reference

`#include <actions.h>`

## Data Fields

action_id | id
enum action_result | result
bv_action_sub_results | sub_results
enum action_actor_kind | actor_kind
enum action_target_kind | target_kind
enum action_sub_target_kind | sub_target_kind
enum act_tgt_compl | target_complexity
int | min_distance
int | max_distance
char | ui_name [MAX_LEN_NAME]
bool | quiet
bv_actions | blocked_by
bool | actor_consuming_always
union { |
struct { |
bool rare_pop_up |
bool unitwaittime_controlled |
enum moves_actor_kind moves_actor |
} is_unit |
} | actor |

## Detailed Description

Definition at line 378 of file actions.h.

## Field Documentation

## ◆ [union]

union { ... } action::actor

Referenced by action_id_is_rare_pop_up(), diplomat_escape_full(), helptext_unit(), rscompat_postprocess(), unit_action_new(), unit_perform_action(), utype_is_moved_to_tgt_by_action(), utype_is_unmoved_by_action(), and utype_may_do_escape_action().

## ◆ actor_consuming_always

bool action::actor_consuming_always

Definition at line 412 of file actions.h.

Referenced by action_new(), handle_ruleset_action(), load_action_actor_consuming_always(), rscompat_postprocess(), save_action_actor_consuming_always(), send_ruleset_actions(), unit_action_new(), unit_nuke(), utype_is_consumed_by_action(), utype_is_moved_to_tgt_by_action(), and utype_is_unmoved_by_action().

## ◆ actor_kind

enum action_actor_kind action::actor_kind

Definition at line 385 of file actions.h.

Referenced by action_get_actor_kind(), action_new(), handle_ruleset_action(), and send_ruleset_actions().

## ◆ blocked_by

bv_actions action::blocked_by

Definition at line 406 of file actions.h.

Referenced by action_new(), action_would_be_blocked_by(), handle_ruleset_action(), load_action_blocked_by_list(), sanity_check_ruleset_data(), save_action_blocked_by(), and send_ruleset_actions().

## ◆ id

action_id action::id

Definition at line 380 of file actions.h.

Referenced by action_dice_roll_initial_odds(), action_dice_roll_odds(), action_get_role(), action_is_blocked_by(), action_is_in_use(), action_list_add_all_by_result(), action_name_translation(), action_new(), action_number(), action_rule_name(), action_sub_target_id_for_action(), action_univs_not_blocking(), api_edit_perform_action_unit_vs_city(), api_edit_perform_action_unit_vs_city_impr(), api_edit_perform_action_unit_vs_city_tech(), api_edit_perform_action_unit_vs_self(), api_edit_perform_action_unit_vs_tile(), api_edit_perform_action_unit_vs_tile_extra(), api_edit_perform_action_unit_vs_unit(), api_methods_action_name_translation(), api_methods_action_rule_name(), api_methods_action_target_kind(), dai_manage_paratrooper(), dai_upgrade_units(), do_unit_paradrop_to(), tab_enabler::edit_type(), handle_unit_type_upgrade(), helptext_unit(), illegal_action_msg(), load_action_post_success_force(), load_ruleset_game(), need_war_enabler(), popup_bribe_dialog(), popup_bribe_dialog(), popup_incite_dialog(), popup_incite_dialog(), popup_sabotage_dialog(), popup_sabotage_dialog(), real_menus_update(), request_action_details_callback(), rscompat_postprocess(), ruleset_purge_redundant_reqs_enablers(), ruleset_purge_unused_enablers(), sanity_check_ruleset_data(), sg_load_savefile(), simple_action_callback(), simple_action_callback(), spy_send_sabotage_list(), tai_tile_worker_task_select(), texai_tile_worker_task_select(), unit_attack_unit_at_tile_result(), unit_goto_and_callback(), unit_goto_and_callback(), utype_act_takes_all_mp_cache_set(), utype_act_takes_all_mp_ustate_cache_set(), utype_action_takes_all_mp(), utype_action_takes_all_mp_if_ustate_is(), utype_can_do_action_sub_result(), and utype_may_do_escape_action().

## ◆ [struct]

struct { ... } action::is_unit

Referenced by action_id_is_rare_pop_up(), diplomat_escape_full(), helptext_unit(), rscompat_postprocess(), unit_action_new(), unit_perform_action(), utype_is_moved_to_tgt_by_action(), utype_is_unmoved_by_action(), and utype_may_do_escape_action().

## ◆ max_distance

int action::max_distance

Definition at line 395 of file actions.h.

Referenced by action_distance_inside_max(), action_new(), expl_act_not_enabl(), handle_ruleset_action(), helptext_unit(), load_action_range_max(), rscompat_postprocess(), sanity_check_ruleset_data(), save_action_max_range(), send_ruleset_actions(), and unit_action_new().

## ◆ min_distance

int action::min_distance

Definition at line 395 of file actions.h.

Referenced by action_distance_accepted(), action_new(), expl_act_not_enabl(), handle_ruleset_action(), helptext_unit(), load_action_range(), rscompat_postprocess(), sanity_check_ruleset_data(), save_action_range(), send_ruleset_actions(), and unit_action_new().

## ◆ moves_actor

enum moves_actor_kind action::moves_actor

Definition at line 432 of file actions.h.

Referenced by diplomat_escape_full(), helptext_unit(), rscompat_postprocess(), unit_action_new(), utype_is_moved_to_tgt_by_action(), utype_is_unmoved_by_action(), and utype_may_do_escape_action().

## ◆ quiet

bool action::quiet

Definition at line 402 of file actions.h.

Referenced by action_new(), handle_ruleset_action(), helptext_building(), helptext_unit(), load_ruleset_game(), rscompat_old_slow_invasions_3_1(), rscompat_postprocess(), save_game_ruleset(), and send_ruleset_actions().

## ◆ rare_pop_up

bool action::rare_pop_up

Definition at line 425 of file actions.h.

Referenced by action_id_is_rare_pop_up(), and unit_action_new().

## ◆ result

enum action_result action::result

Definition at line 382 of file actions.h.

Referenced by action_actor_utype_hard_reqs_ok_full(), action_creates_extra(), action_dice_roll_initial_odds(), action_enabler_suggest_repair_oblig(), action_get_act_time(), action_get_battle_kind(), action_hard_reqs_actor(), action_is_hostile(), action_list_add_all_by_result(), action_max_range_default(), action_maybe_possible_actor_unit(), action_min_range_default(), action_new(), action_prob(), action_removes_extra(), action_result_legal_target_kind(), action_sub_target_id_for_action(), action_sub_target_kind_default(), action_target_compl_calc(), action_target_kind_default(), action_target_neg_util(), adv_gov_action_immunity_want(), dai_incident(), do_action_activity(), do_action_activity_targeted(), do_paradrop(), expl_act_not_enabl(), handle_ruleset_action(), handle_unit_action_query(), helptext_unit(), is_action_possible(), is_extra_caused_by_action(), is_extra_removed_by_action(), load_action_kind(), load_action_range(), load_action_range_max(), need_war_player_hlp(), sanity_check_ruleset_data(), save_action_max_range(), save_action_range(), send_ruleset_actions(), settler_evaluate_improvements(), tai_tile_worker_task_select(), texai_tile_worker_task_select(), unit_action_new(), unit_order_activity_to_action(), unit_perform_action(), and utype_can_do_action_result().

## ◆ sub_results

bv_action_sub_results action::sub_results

Definition at line 383 of file actions.h.

Referenced by action_enabler_suggest_repair_oblig(), action_new(), do_airline(), do_conquer_extras(), do_disembark(), do_paradrop(), do_unit_conquer_city(), do_unit_embark(), do_unit_hut(), expl_act_not_enabl(), handle_ruleset_action(), helptext_unit(), is_action_possible(), load_ruleset_game(), sanity_check_ruleset_data(), send_ruleset_actions(), unit_do_regular_move(), and utype_can_do_action_sub_result().

## ◆ sub_target_kind

enum action_sub_target_kind action::sub_target_kind

Definition at line 387 of file actions.h.

Referenced by action_get_sub_target_kind(), action_new(), handle_ruleset_action(), and unit_perform_action().

## ◆ target_complexity

enum act_tgt_compl action::target_complexity

Definition at line 390 of file actions.h.

Referenced by action_has_complex_target(), action_new(), action_requires_details(), action_sub_target_id_for_action(), dai_diplomat_city(), execute_orders(), simple_action_callback(), simple_action_callback(), unit_order_list_is_sane(), and unit_perform_action().

## ◆ target_kind

enum action_target_kind action::target_kind

Definition at line 386 of file actions.h.

Referenced by action_get_target_kind(), action_new(), handle_ruleset_action(), load_action_kind(), rscompat_postprocess(), sanity_check_ruleset_data(), save_action_kind(), and send_ruleset_actions().

## ◆ ui_name

char action::ui_name[MAX_LEN_NAME]

Definition at line 398 of file actions.h.

Referenced by action_new(), handle_ruleset_action(), rscompat_old_slow_invasions_3_1(), save_action_ui_name(), send_ruleset_actions(), and split_action_name_update().

## ◆ unitwaittime_controlled

bool action::unitwaittime_controlled

Definition at line 428 of file actions.h.

Referenced by unit_action_new(), and unit_perform_action().